## sdpa 7.3.10+dfsg

=== debian/changelog ===
sdpa (7.3.10+dfsg-2ubuntu1) bionic; urgency=medium

  * Remove hard-coded dep on libscotch-5.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Nov 2017 16:26:27 -0800

sdpa (7.3.10+dfsg-2) unstable; urgency=low

    * Fix debian/rules (closes: #876632)
    * Change priority from extra to optional
    * Update Standards-Version to 4.1.1

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Thu, 19 Oct 2017 16:00:00 +0900

sdpa (7.3.10+dfsg-1) unstable; urgency=low
   * New upstream
     + Remove small bugs
     + Change MUMPS from 4.9.10 to 5.1.1
     + Fix some spell miss
   * Update Standards-Version to 4.1.0

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sun, 01 Oct 2017 10:00:00 +0900
