=== debian/changelog ===
sdpa (7.3.11+dfsg-1ubuntu1) bionic; urgency=medium

  * Update mumps runtime dependency, not sure why it is explicitly
    put there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Dec 2017 10:13:35 +0100

sdpa (7.3.11+dfsg-1) unstable; urgency=low

    * New upstream
      + Add SDPA::resetParameters() function (provided by Tristan Gally)
    * Fix debian/control (closes: #883128)

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 06 Dec 2017 08:00:00 +0900
