=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sdpa
 Section: math
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
+Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libopenblas-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
@@ -12,7 +11,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.1
+   libopenblas-dev, libmumps-seq-5.1.2
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -39,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.1,
+   libopenblas-dev, libmumps-seq-5.1.2, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface
