=== debian/changelog ===
sdpa (7.3.12+dfsg-1) unstable; urgency=low

   * New upstream
     + Change MUMPS from 5.1.1 to 5.1.2
   * Fix debian/rules (closes: #944221)
   * Change priority from extra to optional
   * Change libopenblas-dev to libopenblas-pthread-dev

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Fri, 06 Dec 2019 16:00:00 +0900
