=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sdpa
 Section: math
-Priority: extra
+Priority: optional
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
-   libopenblas-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
 Standards-Version: 4.1.1
 Homepage: http://sdpa.sourceforge.net/
 
@@ -27,7 +27,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-   libopenblas-dev, libmumps-seq-dev, libscotch-dev
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev
 Description: Callable library and examples of SDPA
  This package provides some files [examples and callable library]
  of SDPA (SemiDefinite Programming Algorithm).
@@ -38,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.2, 
+   libopenblas-pthread-dev, libmumps-seq-5.1.2, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface
