## sdpa 7.3.13+dfsg

=== debian/changelog ===
sdpa (7.3.13+dfsg-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix rules to dynamically evaluate mumps version on binNMU
      (Closes: #953158)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Mar 2020 13:15:25 +0100

sdpa (7.3.13+dfsg-1) unstable; urgency=low

   * New upstream
     + Change MUMPS from 5.1.2 to 5.2.1

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 04 Mar 2020 16:00:00 +0900

sdpa (7.3.12+dfsg-1ubuntu3) focal; urgency=medium

  * Fix rules to dynamically evaluate mumps version on binNMU
    (Closes: #953158)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Mar 2020 09:03:01 +0100
