## sdpa 7.3.14+dfsg

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.1.2
+MUMPS_VER = 5.2.1
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
