=== debian/changelog ===
sdpa (7.3.14+dfsg-1) unstable; urgency=low

   * New upstream
     + Change 2004-2017 to 2004-2020
   * Fix rules to dynamically evaluate mumps version on binNMU (Closes: #953158)

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sat, 14 Mar 2020 09:00:00 +0900
