=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.2
+   libopenblas-dev, libmumps-seq-${mumps-seq:Version}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, libmumps-seq-5.1.2, 
+   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface
