## sdpa 7.3.15%2Bdfsg

=== debian/changelog ===
sdpa (7.3.15+dfsg-1) unstable; urgency=low

   * New upstream
     + Change MUMPS from 5.2.1 to 5.3.5
   * Ack previous NMU from Sebastian Ramacher, thanks!
   * Stop copying usr/share/sdpa/mex/*.m usr/lib/sdpa/mex/
   * Change compat level to 10
   * Update copyright file

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sat, 12 Dec 2020 09:00:00 +0900

sdpa (7.3.14+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Peter Michael Green ]
  * Use only the first two parts of version number when generating libmumps-seq dependency
    (Closes: 973825)
  * Bump build-dependency on libmumps-seq-dev to >= 5.3.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Nov 2020 09:34:51 +0100
