=== debian/changelog ===
sdpa (7.3.15+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against libmumps-5.4

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 11:39:43 +0000
