=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
-Build-Depends: cdbs, debhelper (>= 7), 
-   automake, autotools-dev, autoconf, gfortran,
+Build-Depends: cdbs, debhelper (>= 10), 
+   automake, autoconf, gfortran,
    libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
 Standards-Version: 4.1.1
 Homepage: http://sdpa.sourceforge.net/
@@ -44,7 +44,7 @@
  This package provides SDPA-M, Matlab/Octave interface 
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
- To use SDPA-M on Octave, add /usr/lib/sdpa/mex
+ To use SDPA-M on Octave, add /usr/share/sdpa/mex and /usr/lib/sdpa/mex
  to your Octave path.
  The summary of each command can be found in
  /usr/share/sdpa/mex/CommandList.txt
