## sdpa 7.3.16

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.3.5
+MUMPS_VER = 5.5.0
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
@@ -33,7 +33,7 @@
 	cd build; echo "FC = "   ${FC}       >> Makefile.inc;
 	cd build; echo "FL = "   ${FC}       >> Makefile.inc;
 	cd build; echo "OPTC = " ${CFLAGS}  ${PTHREAD_INCLUDE} >> Makefile.inc;
-	cd build; echo "OPTF = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
+	cd build; echo "OPTF = " ${FCFLAGS} -fallow-argument-mismatch ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
 	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
