=== debian/changelog ===
sdpa (7.3.16-1) unstable; urgency=low

  * New upstream
    + Change MUMPS from 5.3.5 to 5.5.0
  * Update copyright file
  * Change liboctave-dev to octave-dev (Closes: 1014142)
  * Remove libopenblas-dev
  * Update Standards-Version to 4.6.1

 -- Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>  Tue, 05 Jul 2022 09:00:00 +0900
