=== debian/watch ===
version=3
# opts=dversionmangle=s/\.dfsg\.\d*$// \
http://sf.net/sdpa/sdpa_(.+)\.tar\.gz
