## sdpa 7.3.16%2Bdfsg

=== debian/changelog ===
sdpa (7.3.16+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:18 +1100

sdpa (7.3.16+dfsg-1ubuntu1) noble; urgency=medium

  * Fix dependency generation for the shared mumps library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 15:21:45 +0100

sdpa (7.3.16+dfsg-1build3) noble; urgency=high

  * No change rebuild against libmumps-seq-5.6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:20 +0100

sdpa (7.3.16+dfsg-1build2) mantic; urgency=medium

  * Rebuild against latest mumps

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 18:38:20 -0400

sdpa (7.3.16+dfsg-1build1) lunar; urgency=medium

  * No-change rebuild with libmumps-5.5

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Nov 2022 20:36:58 +0000

sdpa (7.3.16+dfsg-1) unstable; urgency=low

  * New upstream
    + Change MUMPS from 5.3.5 to 5.5.0
  * Update copyright file
  * Change liboctave-dev to octave-dev (Closes: 1014142)
  * Remove libopenblas-dev
  * Update Standards-Version to 4.6.1

 -- Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>  Tue, 05 Jul 2022 09:00:00 +0900
