=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 10), 
    automake, autoconf, gfortran,
-   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
-Standards-Version: 4.1.1
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
+Standards-Version: 4.6.1
 Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-${mumps-seq:Version}
+   ${lib:Depends}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,7 +39,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
+   libopenblas-pthread-dev, ${lib:Depends},
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface
