## sdpa 7.3.16+dfsg

=== mex/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 COMPILE_ENVIRONMENT=octave
 
 # This file is a component of SDPA
-# Copyright (C) 2004-2017 SDPA Project
+# Copyright (C) 2004-2020 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
