=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
+Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 10), 
    automake, autoconf, gfortran,
    libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
@@ -12,7 +11,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   ${lib:Depends}
+   libmumps-seq-${mumps-seq:Version}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -39,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, ${lib:Depends},
+   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface
