## sdpa 7.3.18

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2017 SDPA Project
+# Copyright (C) 2004-2020 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
