=== debian/changelog ===
sdpa (7.3.18-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix dependency generation for the shared mumps library.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 19 Dec 2024 10:29:49 +0000

sdpa (7.3.18-1) unstable; urgency=low

  * New upstream
    + Change MUMPS from 5.5.1 to 5.6.2 (Closes: 1070447)
  * Update Standards-Version to 4.7.0

  [ Bastian Germann ]
  * Build with compiler dpkg flags
  * Add missing BSD-3-clause license

 -- Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>  Wed, 08 May 2024 09:00:00 +0900

sdpa (7.3.16+dfsg-1ubuntu3) plucky; urgency=medium

  * No-change rebuild for mumps

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 13:24:26 +0000
