=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
-Build-Depends: cdbs, debhelper (>= 10), 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
+Build-Depends: cdbs, debhelper (>=13),
    automake, autoconf, gfortran,
    libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libmumps-seq-${mumps-seq:Version}
+   ${lib:Depends}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,10 +40,10 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
+   libopenblas-pthread-dev, ${lib:Depends},
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
- This package provides SDPA-M, Matlab/Octave interface 
+ This package provides SDPA-M, Matlab/Octave interface
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
  To use SDPA-M on Octave, add /usr/share/sdpa/mex and /usr/lib/sdpa/mex
@@ -52,4 +54,3 @@
  /usr/share/doc/sdpa/README.
  Further information on SDP and SDPA can be found at
  http://sdpa.sourceforge.net/
-
