=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # DH_VERBOSE is used for test building
 # export DH_VERBOSE=1
 
-# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+DEB_CFLAGS_MAINT_APPEND = -funroll-all-loops
+DEB_CXXFLAGS_MAINT_APPEND = -funroll-all-loops
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 # include /usr/share/cdbs/1/class/makefile.mk
@@ -14,8 +17,6 @@
 # DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
 # DEB_MAKE_ENVVARS = CFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops" CXXFLAGS="-g -O2 -D_REENTRANT -Wall -fPIC -funroll-all-loops" FCFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops"
 
-CFLAGS   += -Wall -fPIC -funroll-all-loops
-CXXFLAGS += -Wall -fPIC -funroll-all-loops
 FCFLAGS  += -Wall -fPIC -funroll-all-loops
 
 # For old libatlas-base-dev
@@ -37,9 +38,8 @@
 MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)
 
-
-LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-")
-DEB_DH_GENCONTROL_ARGS_ALL = -- -Vmumps-seq:Version=$(LIBMUMPS_VER)
+LIBMUMPS := $(shell dpkg-query -W -f '$${Depends}' libmumps-seq-dev | sed -E 's/.*(libmumps-seq[[:alnum:].-]+).*/\1/')
+DEB_DH_GENCONTROL_ARGS_ALL = -- -Vlib:Depends=$(LIBMUMPS)
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
@@ -49,8 +49,8 @@
 	make \
 	  MAKE_INCLUDE_DIR=../etc COMPILE_ENVIRONMENT=octave \
 	  ALL_INCLUDE=-I../ SDPA_LIB=../libsdpa.a
-binary-post-install/sdpam::
-	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
-	ln -s ../../../share/sdpa/mex/*.m .
-	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
-	ln -s ../../../share/sdpa/mex/CommandList.txt .
+# binary-post-install/sdpam::
+#	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
+#	ln -s ../../../share/sdpa/mex/*.m .
+#	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
+#	ln -s ../../../share/sdpa/mex/CommandList.txt .
