=== debian/watch ===
version=4
# version=3
# opts=dversionmangle=s/\.dfsg\.\d*$// \
# http://sf.net/sdpa/sdpa_(.+)\.tar\.gz
http://sf.net/sdpa/sdpa_(\d\S+)\.(?:tgz|(?:tar\.(?:gz)))
