=== debian/changelog ===
sdpa (7.3.19-1) unstable; urgency=low
  * New upstream
    + Change $MUMPS from 5.6.2 to 5.7.3
    + Change exit() to exit(int) in mexFprintf.c (Closes: 1114368)
    + Remove small warnings
  * Change CDBS to DH (Closes: 1114464)

 -- Makoto Yamashita <Makoto.Yamashita@comp.isct.ac.jp>  Sat, 06 Sep 2025 09:00:00 +0900
