=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
-Build-Depends: cdbs, debhelper (>=13),
+Maintainer: Makoto Yamashita <Makoto.Yamashita@comp.isct.ac.jp>
+Build-Depends: debhelper-compat (=13), 
+   pkgconf,
    automake, autoconf, gfortran,
-   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, 
+   octave-dev | liboctave-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://sdpa.sourceforge.net/
@@ -13,7 +14,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   ${lib:Depends}
+   libmumps-seq-${mumps-seq:Version}t64
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -40,7 +41,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, ${lib:Depends},
+   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version},
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface
