=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,8 @@
 DEB_CFLAGS_MAINT_APPEND = -funroll-all-loops
 DEB_CXXFLAGS_MAINT_APPEND = -funroll-all-loops
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-# include /usr/share/cdbs/1/class/makefile.mk
+%:
+	dh $@ --with autoreconf
 
 # Add here any variable or target overrides you need.
 DEB_MAKE_INSTALL_TARGET =
@@ -35,11 +33,15 @@
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/liblapack.a" --with-blas="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/libblas.a"
 endif
 
-MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
+MUMPS_LIBS="-ldmumps_seq -lsmumps_seq -lcmumps_seq -lzmumps_seq -lmumps_common_seq -lpord -lscotch -lesmumps -lgfortran -lquadmath"
+# "/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)
 
-LIBMUMPS := $(shell dpkg-query -W -f '$${Depends}' libmumps-seq-dev | sed -E 's/.*(libmumps-seq[[:alnum:].-]+).*/\1/')
-DEB_DH_GENCONTROL_ARGS_ALL = -- -Vlib:Depends=$(LIBMUMPS)
+
+# LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-")
+# LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev  | grep ^Depends | tr " " "\n" | grep libmumps-seq | cut -f 3 -d "-")
+LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-" | cut -d . -f 1-2)
+DEB_DH_GENCONTROL_ARGS_ALL = -- -Vmumps-seq:Version=$(LIBMUMPS_VER)
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
@@ -54,3 +56,21 @@
 #	ln -s ../../../share/sdpa/mex/*.m .
 #	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
 #	ln -s ../../../share/sdpa/mex/CommandList.txt .
+
+override_dh_auto_configure:
+	autoreconf -fi
+	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
+override_dh_auto_install:
+	# Default install
+	dh_auto_install
+	# Install compiled MEX/Octave modules only if they exist (avoid dh_install failures)
+	if ls mex/*.mex* >/dev/null 2>&1; then \
+		install -d debian/sdpam/usr/lib/sdpa/mex/ ; \
+		install -m 755 mex/*.mex* debian/sdpam/usr/lib/sdpa/mex/ ; \
+	fi
+	if ls mex/*.oct* >/dev/null 2>&1; then \
+		install -d debian/sdpam/usr/lib/sdpa/mex/ ; \
+		install -m 755 mex/*.oct* debian/sdpam/usr/lib/sdpa/mex/ ; \
+	fi
+
